# CSGroupBy Class Reference

# CSGroupBy

    @objc
    public final class CSGroupBy : NSObject, CSQueryClause

The `CSGroupBy` serves as the Objective-C bridging type for `GroupBy`.

See also

`GroupBy`

- `keyPaths`

  The list of key path strings to group results with

  #### Declaration

  Swift

      @objc
      public var keyPaths: [KeyPathString] { get }

- `init(keyPath:)`

  Initializes a `CSGroupBy` clause with a key path string

  #### Declaration

  Swift

      @objc
      public convenience init(keyPath: KeyPathString)

  #### Parameters

  `keyPath` | a key path string to group results with

- `init(keyPaths:)`

  Initializes a `CSGroupBy` clause with a list of key path strings

  #### Declaration

  Swift

      @objc
      public convenience init(keyPaths: [KeyPathString])

  #### Parameters

  `keyPaths` | a list of key path strings to group results with